Subject: Re: [6tsch] draft-ohba-6tsch-security-00

From: Maria Rita PALATTELLA <[email-masked]>
Date: Thu, 27 Jun 2013 07:31:32 +0000

Hello Yoshihiro,

I am not a security expert, but I went through the draft and tried to understand, in order to provide some feedback.

Feel free to ignore them, if you find them inappropriate.

1) the abstract should be re-worded. I would expose the topic in a more general way (in order to be comprehensible for everyone) and then, refer to the specific algorithm PANA.

2) I would add a reference to Metcalf's law in the Intro.

3) Assuming that we are not all familiar with PANA (sorry for that!), I would provide a short description of the protocol. You may add it in the appendix, as we did for instance in the Watteyne-lln-tsch draft, for describing TSCH. Or you can add more information in Sec. 5.1, where you present PANA as a Phase-1 KMP candidate.
In both cases, everyone by reading your draft will have an almost complete view of the security framework you are suggesting.

4)  For the acronyms, we may add all of them in the terminology draft. In this way you should just refer to it, without any need to specify them again. @Pascal/Thomas: what do you think?
Or if you are using PANA notation, you may also refer to it.

5) I have hard time while reading Phase-1. It seems that includes Phase-1 credentials and a Phase-1 KMP. Is it correct? Then, It is not clear in which order these two steps are executed.
<<An authentication and key establishment  protocol called a Phase-1 KMP is conducted between the node and  the authentication server using Phase-1 credentials.>>
>From this sentence, it seems the sequence is Phase-1 credentials -> Phase-1 KMP
<<Both symmetric and asymmetric key credentials can be used as Phase-1 credentials.  A symmetric key that is established as a result of successful Phase-1 KMP ....>>
>From this other sentence, it seems that the sequence is Phase-1 KMP - > is Phase-1 credentials. It seems to be confirmed also in the Example provided at page 6.
Maybe it is me missing something...
If you agree, I would suggest to revise a bit the description, clarifying such concept, and explaining them in the same order of their actual execution.

6) Typos:
- Initially all nodes but Node A - > I guess you didn't mean BUT
- we focus on Phase-2 KMP requirements in the next seciton. - > section
- PANA [RFC5191] is the Phase-1 KMP candidate since it supports mutual    authenticatio -> authentication
- IEEE 802.15.4 -> IEEE802.15.4 (without space)

6) In sec. 6 when talking about EB, you may add a reference to Watteyne-draft, where a description of EB is provided.

Best Regards,
Maria Rita

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, June 24, 2013 4:10 AM
To: [email-masked]
Subject: [6tsch] draft-ohba-6tsch-security-00

6tsch-security draft has been submitted to IETF:

http://tools.ietf.org/html/draft-ohba-6tsch-security-00

Regards,
Yoshihiro Ohba

_______________________________________________
6tsch mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6tsch

---

From: <[email-masked]>
Date: Thu, 27 Jun 2013 09:35:37 +0000

Hi Maria,

Thank you for your feedback.  

We will revise Abstract.

For Metcalf's law reference, I would like to hear from Pascal.

We can add some introduction to PANA in Appendix.

I am happy to replace acronyms section with a reference to draft-palattella-6tsch-terminology.

Sorry for the confusing description about Phase-1.  I understood where the confusion came from. In the sentence "A symmetric key that is established as a result of successful Phase-1 KMP is used for encrypting the Phase-2 and Phase-3 credentials distributed from the authentication server to the node.", the symmetric key is a temporal key material generated from Phaes-1 KMP credentials, and it is not as part of Phase-1 KMP credentials.  I will think about improving the text.

We will fix typos and add a reference to draft-watteyne-6tsch-tsch-lln-context for EB.

Best Regards,
Yoshihiro Ohba

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Maria Rita PALATTELLA
Sent: Thursday, June 27, 2013 4:32 PM
To: [email-masked]
Subject: Re: [6tsch] draft-ohba-6tsch-security-00

Hello Yoshihiro,

5) I have hard time while reading Phase-1. It seems that includes Phase-1 credentials and a Phase-1 KMP. Is it correct? Then, It is not clear in which order these two steps are executed.
<<An authentication and key establishment  protocol called a Phase-1 KMP is conducted between the node and  the authentication server using Phase-1 credentials.>> From this sentence, it seems the sequence is Phase-1 credentials -> Phase-1 KMP <<Both symmetric and asymmetric key credentials can be used as Phase-1 credentials.  A symmetric key that is established as a result of successful Phase-1 KMP ....>> From this other sentence, it seems that the sequence is Phase-1 KMP - > is Phase-1 credentials. It seems to be confirmed also in the Example provided at page 6.
Maybe it is me missing something...
If you agree, I would suggest to revise a bit the description, clarifying such concept, and explaining them in the same order of their actual execution.

6) Typos:

Best Regards,
Maria Rita

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, June 24, 2013 4:10 AM
To: [email-masked]
Subject: [6tsch] draft-ohba-6tsch-security-00

Regards,
Yoshihiro Ohba

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 27 Jun 2013 12:25:17 +0000

Dear Yoshi:

I think that Wikipedia has a great discussion on Metcalf's law as http://en.wikipedia.org/wiki/Metcalfe%27s_law 

Would you all agree?

Pascal

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: jeudi 27 juin 2013 11:36
To: [email-masked]; [email-masked]
Subject: Re: [6tsch] draft-ohba-6tsch-security-00

Hi Maria,

We will revise Abstract.

Best Regards,
Yoshihiro Ohba

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Maria Rita PALATTELLA
Sent: Thursday, June 27, 2013 4:32 PM
To: [email-masked]
Subject: Re: [6tsch] draft-ohba-6tsch-security-00

Hello Yoshihiro,

6) Typos:

Best Regards,
Maria Rita

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, June 24, 2013 4:10 AM
To: [email-masked]
Subject: [6tsch] draft-ohba-6tsch-security-00

Regards,
Yoshihiro Ohba

---

From: Maria Rita PALATTELLA <[email-masked]>
Date: Fri, 28 Jun 2013 06:53:23 +0000

Pascal,
Instead of refer to Wikipedia page, I would use one of the references proposed on that page.
What do you think?
Maria Rita

-----Original Message-----
From: Pascal Thubert (pthubert) [mailto:[email-masked]] 
Sent: Thursday, June 27, 2013 2:25 PM
To: [email-masked]; Maria Rita PALATTELLA; [email-masked]
Subject: RE: [6tsch] draft-ohba-6tsch-security-00

Dear Yoshi:

Would you all agree?

Pascal

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: jeudi 27 juin 2013 11:36
To: [email-masked]; [email-masked]
Subject: Re: [6tsch] draft-ohba-6tsch-security-00

Hi Maria,

We will revise Abstract.

Best Regards,
Yoshihiro Ohba

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Maria Rita PALATTELLA
Sent: Thursday, June 27, 2013 4:32 PM
To: [email-masked]
Subject: Re: [6tsch] draft-ohba-6tsch-security-00

Hello Yoshihiro,

6) Typos:

Best Regards,
Maria Rita

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, June 24, 2013 4:10 AM
To: [email-masked]
Subject: [6tsch] draft-ohba-6tsch-security-00

Regards,
Yoshihiro Ohba